---@meta

---@class LayeredRegion : Region
LayeredRegion = {
	--- Gets the draw layer of the region.
	--- @return string layer The draw layer.
	--- @example
	--- local layer = myLayeredRegion:GetDrawLayer()
	GetDrawLayer = function(self) end,

	--- Sets the draw layer of the region.
	--- @param layer string The draw layer.
	--- @param subLevel number? Optional. The sublevel within the layer.
	--- @example
	--- myLayeredRegion:SetDrawLayer("ARTWORK", 1)
	SetDrawLayer = function(self, layer, subLevel) end,
}
